# Configuration file for britney

# Paths for control files
TESTING           = /srv/mirrors/debian/dists/unstable
UNSTABLE          = /srv/mirrors/debian/dists/experimental
PARTIAL_SOURCE    = true

# Output
NONINST_STATUS    = /srv/release.debian.org/britney/var/data-b2/non-installable-status-experimental
EXCUSES_OUTPUT    = /srv/release.debian.org/britney/var/data-b2/output/pseudo-excuses-experimental.html
EXCUSES_YAML_OUTPUT = /srv/release.debian.org/britney/var/data-b2/output/pseudo-excuses-experimental.yaml
HEIDI_OUTPUT      = /dev/null

# External policy/constraints/faux-packages information that
# (presumably) rarely changes.  Examples include "constraints".
STATIC_INPUT_DIR = /srv/release.debian.org/britney/input

# Directory for input files that Britney will update herself
# (e.g. aging information) or will need regular updates
# (e.g. urgency information).
STATE_DIR          = /srv/release.debian.org/britney/state-experimental

# List of architectures that Britney should consider.
# - defaults to the value in testing's Release file (if it is present).
# - Required for the legacy layout.
ARCHITECTURES     = amd64 arm64

# if you're not in this list, arch: all packages are allowed to break on you
NOBREAKALL_ARCHES = amd64 arm64

# primary architecture used for checking Build-Depends-Indep
ALL_BUILDARCH     = amd64

# if you're in this list, your packages may not stay in sync with the source
OUTOFSYNC_ARCHES  =

# if you're in this list, your uninstallability count may increase
BREAK_ARCHES      =

# if you're in this list, you are a new architecture
NEW_ARCHES        =

# priorities and delays
MINDAYS_LOW       = 10
MINDAYS_MEDIUM    = 5
MINDAYS_HIGH      = 2
MINDAYS_CRITICAL  = 0
MINDAYS_EMERGENCY = 0
DEFAULT_URGENCY   = medium
NO_PENALTIES      = high critical emergency
BOUNTY_MIN_AGE    = 2

HINTSDIR = /srv/release.debian.org/britney/hints

# hint permissions
HINTS_ELBRUS      = ALL

# support for old libraries in testing (smooth update)
# use ALL to enable smooth updates for all the sections
#
# naming a non-existent section will effectively disable new smooth
# updates but still allow removals to occur
SMOOTH_UPDATES    = libs oldlibs

IGNORE_CRUFT      = 1

CHECK_BUILDD      = no
BUILT_USING_POLICY_ENABLE = no
PIUPARTS_ENABLE   = no
AGE_ENABLE        = no
RCBUG_ENABLE      = no

ADT_ENABLE        = yes
ADT_ARCHES        = amd64 arm64 armel armhf i386 ppc64el s390x
ADT_AMQP          = file:///srv/release.debian.org/britney/var/data-b2/output/debci.input
# space separate list of PPAs to add for test requests and for polling results;
# the *last* one determines the swift container name
ADT_PPAS          =
# set this to the path of a (r/o) autopkgtest-results.cache for running many parallel
# britney instances for PPAs without updating the cache
ADT_SHARED_RESULTS_CACHE =
# Swift base URL with the results (must be publicly readable and browsable)
# or file location if results are pre-fetched
ADT_SWIFT_URL     = file:///srv/release.debian.org/britney/state/debci.json
# Base URL for autopkgtest site, used for links in the excuses
ADT_CI_URL        = https://ci.debian.net/
ADT_RETRY_URL     = https://ci.debian.net/api/v1/retry/{run_id}
ADT_LOG_URL       = https://ci.debian.net/packages/{hash}/{package}/{release}/{arch}/{run_id}/
# Complete URL to find a specific build log, used for links in the excuses
BUILD_URL         = https://buildd.debian.org/status/logs.php?suite=experimental&arch={arch}&pkg={source}&ver={version}

# Autopkgtest results can be used to influence the aging
ADT_BASELINE           = reference
ADT_RETRY_OLDER_THAN   = 5
ADT_REFERENCE_MAX_AGE  = 15
ADT_PENDING_MAX_AGE    = 15
ADT_RESULTS_CACHE_AGE  = 45
